Hammer content-view info command shows only yum and container repositories
Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category: Hammer   

Target version: Katello 4.12.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/926

  

Description

[vagrant@centos7-hammer-devel2 ~]$ hammer content-view info --id 5

Id:                           5

Name:                         cv20

Label:                        cv20

Composite:                    false

Description:                  

Content Host Count:           0

Solve Dependencies:           false

Organization:                 Default Organization

Yum Repositories:             

 1) Id:    1

    Name:  repo1

    Label: repo1

 2) Id:    17

    Name:  Advanced Virtualization CodeReady Builder for RHEL 8 IBM z Systems RPMs

    Label: Advanced_Virtualization_CodeReady_Builder_for_RHEL_8_IBM_z_Systems_RPMs

 3) Id:    20

    Name:  Advanced Virtualization CodeReady Builder for RHEL 8 Power little endian RPMs

    Label: Advanced_Virtualization_CodeReady_Builder_for_RHEL_8_Power_little_endian_RPMs

Container Image Repositories: 

 1) Id:    2

    Name:  docker_repo

    Label: docker_repo

OSTree Repositories:          

Lifecycle Environments:       

Versions:                     

Components:                   

Activation Keys:

 We should have sections for all content types or just list all repositories with type field.

Associated revisions

Revision a14fcb42 - 02/06/2024 05:33 PM - Chris Roberts

Fixes #36742 - Add other content types to cv info command

History

#1 - 09/13/2023 05:52 PM - Ian Ballou

- Target version set to Katello 4.12.0

- Triaged changed from No to Yes

05/17/2024 1/2



#2 - 02/01/2024 05:51 PM - The Foreman Bot

- Assignee set to Chris Roberts

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/hammer-cli-katello/pull/926 added

#3 - 02/06/2024 06:00 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

Applied in changeset hammer-cli-katello|a14fcb42eaada249d10bcb1705bcb83e107ac135.
